%def_disable debug

%define gitdate 20110411
Name: rebar
Version: 2.git%gitdate
Release: alt1
Summary: A sophisticated build-tool for Erlang projects that follows OTP principles.
License: %asl
Group: Development/Erlang
URL: https://github.com/basho/rebar
Source: %name-%version.tar
Patch0: %name-add-ignore-cmd-list.patch
Patch1: %name-default-jobs-1.patch
Patch2: %name-add_patha.patch
BuildArch: noarch
Requires: erlang-otp erlang-visual erlang-common_test erlang-docbuilder
Packager: Sergey Shilov <hsv@altlinux.org>

BuildRequires(pre): rpm-build-erlang rpm-build-licenses
BuildRequires: erlang-devel erlang-otp-devel erlang-visual-devel erlang-common_test-devel erlang-docbuilder-devel

%description
rebar is an Erlang build tool that makes it easy to compile and
test Erlang applications, port drivers and releases.

rebar is a self-contained Erlang script, so it's easy to distribute or even
embed directly in a project. Where possible, rebar uses standard Erlang/OTP
conventions for project structures, thus minimizing the amount of build
configuration work. rebar also provides dependency management, enabling
application writers to easily re-use common libraries from a variety of
locations (git, hg, etc).


%prep
%setup -n  %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
./bootstrap

%install
%__mkdir_p %buildroot/%_bindir
%__install -m755 rebar %buildroot/%_bindir


%files
%_bindir/*


%changelog
* Thu Apr 14 2011 Sergey Shilov <hsv@altlinux.org> 2.git20110411-alt1
Initial build.

